indexing
   description: "Change the size of the fractal image."
   status: "Free according to the GPL license (see COPYING)"
   date: "$Date$"
   revision: "$Revision$"
   author: "Mark Arrasmith <arrasmith@math.twsu.edu> and Miron Brezuleanu"
   
   
class NEW_SIZE_DIALOG 
   
inherit
   EXG_DIALOG
   STARTUP
   
creation
   make
   
feature
   
   init_dialog is
      do
	 width := config.width
	 height := config.height
      end
   
   commit is
	 -- will write the changes to the fields
      do
	 width := width_adj.value.floor
	 height := height_adj.value.floor
	 config.set_width(width)
	 config.set_height(height)
	 commit_ok := True
      end
   
   build_vbox is
      local
	 table: GTK_TABLE
	 label: GTK_LABEL
	 sbutton: GTK_SPIN_BUTTON
      do
	 set_title("Enter data:")
	 !!vbox.make(False, 0)	 
	 
	 !!table.make(3, 2, False)
	 
	 !!label.make_with_label("Enter new size dimensions:")
	 label.set_alignment(0.0, 0.5)
	 table.attach2(label, 0, 2, 0, 1)
	 label.show
	 
	 !!label.make_with_label("Width: ")
	 label.set_alignment(0.0, 0.5)
	 table.attach2(label, 0, 1, 1, 2)
	 label.show
	 
	 !!width_adj.make(width.to_real, 1.0, 10000.0, 1.0, 100.0, 0.0)
	 !!sbutton.make_with_adjustment(width_adj, 0.5, 0)
	 table.attach2(sbutton, 1, 2, 1, 2)
	 sbutton.show
	 
	 !!label.make_with_label("Height: ")
	 label.set_alignment(0.0, 0.5)
	 table.attach2(label, 0, 1, 2, 3)
	 label.show
	 
	 !!height_adj.make(height.to_real, 1.0, 10000.0, 1.0, 100.0, 0.0)
	 !!sbutton.make_with_adjustment(height_adj, 0.5, 0)
	 table.attach2(sbutton, 1, 2, 2, 3)
	 sbutton.show
	 
	 vbox.pack_start(table, True, True, 0)
	 table.show
      end	 
   
feature -- attributes
   
   width, height: INTEGER
   width_adj, height_adj: GTK_ADJUSTMENT
   
end --class NEW_SIZE_DIALOG

