indexing
   description: "Set the corners to the zoombox."
   status: "Free according to the GPL license (see COPYING)"
   date: "$Date$"
   revision: "$Revision$"
   author: "Mark Arrasmith <arrasmith@math.twsu.edu> and Miron Brezuleanu"
   
   
class NEW_ZOOMBOX_DIALOG 
   
inherit
   EXG_DIALOG
   STARTUP
   
creation
   make
   
feature
   
   init_dialog is
      do
	 x1 := config.x1
	 x2 := config.x2
	 x3 := config.x3
	 x4 := config.x4
	 y1 := config.y1
	 y2 := config.y2
	 y3 := config.y3
	 y4 := config.y4
      end
   
   commit is
	 -- will write the changes to the fields
      do
	 x1 := x1_adj.text.to_double
	 y1 := y1_adj.text.to_double
	 x2 := x2_adj.text.to_double
	 y2 := y2_adj.text.to_double
	 x3 := x3_adj.text.to_double
	 y3 := y3_adj.text.to_double
	 x4 := x4_adj.text.to_double
	 y4 := y4_adj.text.to_double
	 config.inc_zoom
	 config.set_x1(x1)
	 config.set_y1(y1)
	 config.set_x2(x2)
	 config.set_y2(y2)
	 config.set_x3(x3)
	 config.set_y3(y3)
	 config.set_x4(x4)
	 config.set_y4(y4)
	 commit_ok := True
      end
   
   build_vbox is
      local
	 table: GTK_TABLE
	 label: GTK_LABEL
      do
	 set_title("Bounding Box:")
	 !!vbox.make(False, 0)	 
	 
	 !!table.make(9, 2, False)
	 
	 !!label.make_with_label("Enter Parameter Values:")
	 label.set_alignment(0.0, 0.5)
	 table.attach2(label, 0, 2, 0, 1)
	 label.show

	 !!label.make_with_label("x1: ")
	 label.set_alignment(0.0, 0.5)
	 table.attach2(label, 0, 1, 1, 2)
	 label.show

	 !!x1_adj.make
	 x1_adj.set_text(x1.to_string_format(18))
	 table.attach2(x1_adj, 1, 2, 1, 2)
	 x1_adj.show
	 
	 !!label.make_with_label("y1: ")
	 label.set_alignment(0.0, 0.5)
	 table.attach2(label, 0, 1, 2, 3)
	 label.show

	 !!y1_adj.make
	 y1_adj.set_text(y1.to_string_format(18))
	 table.attach2(y1_adj, 1, 2, 2, 3)
	 y1_adj.show

	 !!label.make_with_label("x2: ")
	 label.set_alignment(0.0, 0.5)
	 table.attach2(label, 0, 1, 3, 4)
	 label.show

	 !!x2_adj.make
	 x2_adj.set_text(x2.to_string_format(18))
	 table.attach2(x2_adj, 1, 2, 3, 4)
	 x2_adj.show
	 
	 !!label.make_with_label("y2: ")
	 label.set_alignment(0.0, 0.5)
	 table.attach2(label, 0, 1, 4, 5)
	 label.show

	 !!y2_adj.make
	 y2_adj.set_text(y2.to_string_format(18))
	 table.attach2(y2_adj, 1, 2, 4, 5)
	 y2_adj.show

	 !!label.make_with_label("x3: ")
	 label.set_alignment(0.0, 0.5)
	 table.attach2(label, 0, 1, 5, 6)
	 label.show

	 !!x3_adj.make
	 x3_adj.set_text(x3.to_string_format(18))
	 table.attach2(x3_adj, 1, 2, 5, 6)
	 x3_adj.show
	 
	 !!label.make_with_label("y3: ")
	 label.set_alignment(0.0, 0.5)
	 table.attach2(label, 0, 1, 6, 7)
	 label.show

	 !!y3_adj.make
	 y3_adj.set_text(y3.to_string_format(18))
	 table.attach2(y3_adj, 1, 2, 6, 7)
	 y3_adj.show

	 !!label.make_with_label("x4: ")
	 label.set_alignment(0.0, 0.5)
	 table.attach2(label, 0, 1, 7, 8)
	 label.show

	 !!x4_adj.make
	 x4_adj.set_text(x4.to_string_format(18))
	 table.attach2(x4_adj, 1, 2, 7, 8)
	 x4_adj.show
	 
	 !!label.make_with_label("y4: ")
	 label.set_alignment(0.0, 0.5)
	 table.attach2(label, 0, 1, 8, 9)
	 label.show

	 !!y4_adj.make
	 y4_adj.set_text(y4.to_string_format(18))
	 table.attach2(y4_adj, 1, 2, 8, 9)
	 y4_adj.show
	 	 
	 vbox.pack_start(table, True, True, 0)
	 table.show
      end	 
   
feature -- attributes
   
   x1,x2,x3,x4,y1,y2,y3,y4: DOUBLE
   x1_adj, y1_adj, x2_adj, y2_adj: GTK_ENTRY
   x3_adj, y3_adj, x4_adj, y4_adj: GTK_ENTRY
   
end -- NEW_ZOOMBOX_DIALOG

